# $Revision: 1.16 $, $Date: 2008/11/07 17:47:12 $
Summary:	Composite Manager library
Summary(pl.UTF-8):	Biblioteka Composite Manager
Name:		libcm
Version:	0.1.1
Release:	2
License:	GPL
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libcm/0.1/%{name}-%{version}.tar.bz2
# Source0-md5:	a975d0a913dd882c0a93487b534782bc
URL:		http://www.daimi.au.dk/~sandmann/
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	glib2-devel >= 1:2.12.7
BuildRequires:	pkgconfig
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXcomposite-devel
BuildRequires:	xorg-lib-libXdamage-devel
BuildRequires:	xorg-lib-libXtst-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Composite Manager library.

%description -l pl.UTF-8
Biblioteka Composite Manager.

%package devel
Summary:	Header files for Composite Manager library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Composite Manager
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	OpenGL-GLU-devel
Requires:	glib2-devel >= 1:2.12.7
Requires:	xorg-lib-libX11-devel
Requires:	xorg-lib-libXcomposite-devel
Requires:	xorg-lib-libXdamage-devel
Requires:	xorg-lib-libXtst-devel

%description devel
Header files for Composite Manager library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Composite Manager.

%package static
Summary:	Static Composite Manager library
Summary(pl.UTF-8):	Statyczna biblioteka Composite Manager
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Composite Manager library.

%description static -l pl.UTF-8
Statyczna biblioteka Composite Manager.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_bindir}/test

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libcm.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcm.so.7

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcm.so
%{_libdir}/libcm.la
%{_includedir}/cm
%{_pkgconfigdir}/cm.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libcm.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libcm.spec,v $
Revision 1.16  2008/11/07 17:47:12  megabajt
- more verbose files
- release 2

Revision 1.15  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.13  2007/01/16 19:23:56  megabajt
- up to 0.1.1

Revision 1.12  2007/01/06 18:59:17  megabajt
- up to 0.1.0

Revision 1.11  2006/09/23 14:53:22  megabajt
- rel 4

Revision 1.10  2006/08/08 20:49:38  freetz
- rel.3

Revision 1.9  2006/07/11 21:26:44  freetz
- rel.2, --as-needed for linker

Revision 1.8  2006/07/11 20:39:23  qboosh
- removed obsolete configure patch
- -devel R: OpenGL-GLU-devel now
- note: needs new or no TFP GLX API (build fails with Mesa = 6.5)

Revision 1.7  2006/06/16 18:19:08  freetz
- unofficial 0.0.22, bleeding edge deps

Revision 1.6  2006/03/04 19:37:01  qboosh
- updated configure patch not to link libcm with -lGLU (GLU is just for demos)
- -devel R: OpenGL-devel
- added X11 to Groups

Revision 1.5  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.4  2006/02/19 14:10:05  freetz
- 0.0.16, added configure patch

Revision 1.3  2005/12/24 01:35:59  qboosh
- added deps (modular xorg only - it relies on pkgconfig files)

Revision 1.2  2005/12/24 01:30:43  qboosh
- pl

Revision 1.1  2005/12/22 20:22:41  wrobell
- composite manager library (?); for metacity with patch from:
    http://mail.gnome.org/archives/metacity-devel-list/2005-December/msg00002.html
